<div id="layoutSidenav_content">
    <main>
        <div class="container-fluid px-4">
            <h1 class="mt-4" id="judulPasien">Data Rujukan Pasien</h1>
            <ol class="breadcrumb mb-4">
                <!-- <li class="breadcrumb-item"><a href="index.html">Dashboard</a></li>
                        <li class="breadcrumb-item active">tampil pasien</li> -->
            </ol>
            <!-- Filter Tanggal -->
            <div class="card mb-4">
                <div class="card-body">
                    <form id="filterForm" class="row g-3">
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="tgl_awal">Pelayanan</label>
                                    <select class="form-control" id="kd_jenis_pasien" name="kd_jenis_pasien" required="required">
                                        <option selected="selected" value="">-</option>
                                        <option value="1">Rawat Jalan</option>
                                        <option value="2">Rawat Inap</option>
                                        <option value="3">IGD</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="tgl_awal">Tanggal Awal</label>
                                    <input type="date" id="tanggal_awal" name="tanggal_awal" class="form-control" value="<?= $tgl_awal ?>" required />
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="tgl_akhir">Tanggal Akhir</label>
                                    <input type="date" id="tanggal_akhir" name="tanggal_akhir" class="form-control" value="<?= $tgl_akhir ?>" required />
                                </div>
                            </div>
                        </div>
                        <div class="col-12">
                            <button type="submit" class="btn btn-primary btn-block">Pilih</button>
                        </div>
                    </form>
                </div>
            </div>
            <div id="result" class="table-responsive">
                <div id="loadingIcon" style="display: none;">
                    <center><img src="<?= base_url('assets_/assets/img/loading-new.gif') ?>" alt="Loading..." /></center>
                </div>
                <div id="tableContainer" style="display: none;">
                    <!-- Tabel akan dimasukkan di sini setelah pemrosesan -->
                </div>
            </div>
        </div>
    </main>
    <footer class="py-4 bg-light mt-auto">
        <div class="container-fluid px-4">
            <div class="d-flex align-items-center justify-content-between small">
                <div class="text-muted">Copyright &copy; SINARAN BY IT RSU ANANDA PURWOKERTO 2024</div>
                <div>
                    <a href="#">Privacy Policy</a>
                    &middot;
                    <a href="#">Terms &amp; Conditions</a>
                </div>
            </div>
        </div>
    </footer>
</div>
</div>


<!-- Jquery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- DataTables JS -->
<script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
<script src="<?php echo base_url('assets_/js/scripts.js'); ?>"></script>
<script src="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/umd/simple-datatables.min.js" crossorigin="anonymous"></script>
<script src="<?php echo base_url('assets_/js/datatables-simple-demo.js'); ?>"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    $(document).ready(function() {
        $('#filterForm').on('submit', function(event) {
            event.preventDefault(); // Mencegah refresh halaman
            $('#loadingIcon').show(); // Tampilkan ikon loading
            $('#tableContainer').hide(); // Sembunyikan tabel sebelum memulai pengambilan data

            $.ajax({
                url: '<?= base_url("dashboard/data") ?>',
                type: 'POST',
                data: {
                    KD_JENIS_PASIEN: $('#kd_jenis_pasien').val(),
                    TANGGAL_AWAL: $('#tanggal_awal').val(),
                    TANGGAL_AKHIR: $('#tanggal_akhir').val()
                },
                beforeSend: function() {
                    $('#loadingIcon').show(); // Pastikan loading ditampilkan sebelum request
                },
                success: function(response) {
                    $('#loadingIcon').hide(); // Sembunyikan ikon loading setelah permintaan selesai

                    try {
                        const data = JSON.parse(response); // Parsing JSON dari response

                        // Periksa status dan data
                        if (data.status && Array.isArray(data.response.list)) {
                            const list = data.response.list;

                            // Hancurkan DataTable sebelumnya jika sudah ada
                            if ($.fn.DataTable.isDataTable('#datatablesSimple')) {
                                $('#datatablesSimple').DataTable().destroy();
                            }

                            if (list.length > 0) {
                                let html = '<table id="datatablesSimple" class="table table-striped table-bordered"><thead><tr><th>Kode Registrasi</th><th>Nama Pasien</th><th>Tanggal Registrasi</th><th>Kode Rekam Medis</th><th>Action</th></tr></thead><tbody>';

                                // Looping untuk menampilkan data
                                list.forEach(item => {
                                    const formattedDate = new Date(item.tgl_registrasi).toISOString().split('T')[0];

                                    html += `<tr>
                                    <td>${item.kd_registrasi}</td>
                                    <td>${item.nm_pasien}</td>
                                    <td>${formattedDate}</td>
                                    <td>${item.kd_rekam_medis}</td>
                                    <td>
                                        <div class="dropdown">
                                            <button type="button" class="dropdown-btn">
                                                Action
                                            </button>
                                            <div class="dropdown-content">
                                                    <a class="dropdown-item batal-kasir" href="#">
                                                    Batal Kasir
                                                    </a>
                                                <div class="dropdown-divider"></div>
                                                    <a class="dropdown-item batal-serah" href="#">
                                                    Batal Serah
                                                    </a>
                                                <div class="dropdown-divider"></div>
                                                    <a class="dropdown-item batal-resume" href="#">
                                                    Batal Resume
                                                    </a>
                                                <div class="dropdown-divider"></div>
                                                    <a class="dropdown-item batal-sep" href="#">
                                                    Batal SEP
                                                    </a>
                                                <div class="dropdown-divider"></div>
                                                    <a class="dropdown-item reproses-kasir" href="#">
                                                    Reproses Kasir
                                                    </a>
                                                <div class="dropdown-divider"></div>
                                                    <a class="dropdown-item tambah-dpjp" href="#">
                                                    Tambah DPJP
                                                    </a>
                                                <div class="dropdown-divider"></div>
                                                    <a class="dropdown-item tambah-sep" href="#">
                                                    Tambah SEP
                                                    </a>
                                                <div class="dropdown-divider"></div>
                                                    <a class="dropdown-item hapus-kdjual" href="#">
                                                    Hapus Kode Jual<br>(Rad/LAB)
                                                    </a>
                                                <div class="dropdown-divider"></div>
                                                    <a class="dropdown-item ubah-pembayaran" href="#">
                                                    Mengubah jenis pembayaran
                                                    </a>
                                                 
                                            </div>
                                        </div>
                                    </td>
                                </tr>`;
                                });
                                html += '</tbody></table>';
                                $('#tableContainer').html(html).show(); // Tampilkan tabel hasil

                                // Inisialisasi DataTable setelah tabel ditambahkan ke DOM
                                $('#datatablesSimple').DataTable({
                                    "columnDefs": [{
                                        "targets": 2, // Misalkan kolom tanggal berada di index 2
                                        "type": "date"
                                    }],
                                    "order": [
                                        [2, "asc"]
                                    ] // Urutkan tanggal ascending
                                });
                            } else {
                                $('#tableContainer').html('<p>Tidak ada data yang ditemukan.</p>').show();
                            }
                        } else {
                            $('#tableContainer').html('<p>Tidak ada data yang ditemukan.</p>').show();
                        }

                        // Ubah URL tanpa menyegarkan halaman
                        history.replaceState(null, '', '<?= base_url("Dashboard") ?>');
                    } catch (e) {
                        console.error("Error parsing JSON: ", e);
                        $('#tableContainer').html('<p>Terjadi kesalahan saat memproses data.</p>').show();
                    }
                },
                error: function(xhr, status, error) {
                    $('#loadingIcon').hide(); // Sembunyikan ikon loading jika terjadi error
                    console.error("AJAX Error: ", error);
                }
            });
        });

        // Event delegation untuk tombol Batal Serah
        $('#result').on('click', '.batal-serah', function() {
            // Mendapatkan kode registrasi dari baris yang diklik
            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            // Mendapatkan nama pasien dari baris yang diklik
            const nama_pasien = $(this).closest('tr').find('td:eq(1)').text();
            // Mendapatkan tanggal dari baris yang diklik
            const tanggal = $(this).closest('tr').find('td:eq(2)').text();

            // Tampilkan konfirmasi
            if (confirm(`Apakah Anda yakin ingin batal serah untuk Kode Registrasi: ${kd_registrasi} Nama Pasien : ${nama_pasien} Tanggal Registrasi: ${tanggal}?
Batal serah berfungsi untuk membatalkan proses serah obat dari farmasi, supaya farmasi bisa merubah data obat, sebelumnya tagihan atas kode registrasi ${kd_registrasi} harus di reproses dulu oleh kasir.
                `)) {
                // Lakukan proses pembatalan serah menggunakan AJAX
                $.ajax({
                    url: '<?= base_url("dashboard/batal_serah") ?>',
                    type: 'POST',
                    data: {
                        kd_registrasi: kd_registrasi
                    },
                    success: function(response) {
                        console.log('Pembatalan serah berhasil: ', response);
                        alert('Pembatalan serah berhasil!');
                        // Lakukan tindakan lain jika diperlukan, seperti memperbarui tampilan
                    },
                    error: function(xhr, status, error) {
                        console.error("Error saat membatalkan serah: ", error);
                        alert('Terjadi kesalahan saat membatalkan serah.');
                    }
                });
            }
        });

        // Event delegation untuk tombol Batal Resume
        $('#result').on('click', '.batal-resume', function() {
            // Mendapatkan kode registrasi dari baris yang diklik
            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            // Mendapatkan nama pasien dari baris yang diklik
            const nama_pasien = $(this).closest('tr').find('td:eq(1)').text();
            // Mendapatkan tanggal dari baris yang diklik
            const tanggal = $(this).closest('tr').find('td:eq(2)').text();
            // Mendapatkan nilai dari kd_jenis_pasien yang ada di input
            const kd_jenis_pasien = $('#kd_jenis_pasien').val();

            // Tampilkan konfirmasi
            if (confirm(`Apakah Anda yakin ingin batal resume untuk Kode Registrasi: ${kd_registrasi} Nama Pasien : ${nama_pasien} Tanggal Registrasi: ${tanggal}?
Batal resume berfungsi untuk membtalkan resume yang telah final, supaya bisa di edit kembali.
                `)) {
                // Lakukan proses pembatalan resume menggunakan AJAX
                $.ajax({
                    url: '<?= base_url("dashboard/batal_resume") ?>',
                    type: 'POST',
                    data: {
                        kd_registrasi: kd_registrasi,
                        kd_jenis_pasien: kd_jenis_pasien
                    },
                    success: function(response) {
                        console.log('Pembatalan resume berhasil: ', response);
                        alert('Pembatalan resume berhasil!');
                        // Lakukan tindakan lain jika diperlukan, seperti memperbarui tampilan
                    },
                    error: function(xhr, status, error) {
                        console.error("Error saat membatalkan resume: ", error);
                        alert('Terjadi kesalahan saat membatalkan resume.');
                    }
                });
            }
        });

        // Event delegation untuk tombol Batal SEP
        $('#result').on('click', '.batal-sep', function() {
            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            const keterangan = prompt("Silakan masukkan No SEP 11 Digit dari belakang untuk pembatalan SEP: (inputkan nomor di belakang 0142R033)");
            if (keterangan) {
                if (confirm(`Apakah Anda yakin ingin batal SEP untuk Kode Registrasi: ${kd_registrasi} dengan No SEP: 0142R033${keterangan}?
Batal SEP berfungsi untuk menghilangkan nomor SEP yang di anggal salah ataupun No SEP lebih dari satu, maka bisa di hilangkan salah satu.
                    `)) {
                    $.ajax({
                        url: '<?= base_url("Dashboard/batal_sep") ?>',
                        type: 'POST',
                        data: {
                            kd_registrasi: kd_registrasi,
                            keterangan: keterangan
                        },
                        success: function(response) {
                            console.log('Pembatalan SEP berhasil: ', response);
                            alert('Pembatalan SEP berhasil!');
                        },
                        error: function(xhr, status, error) {
                            console.error("Error saat membatalkan SEP: ", error);
                            alert('Terjadi kesalahan saat membatalkan SEP.');
                        }
                    });
                }
            } else {
                alert("No SEP tidak boleh kosong.");
            }
        });

        // Event delegation untuk tombol Reproses Kasir
        $('#result').on('click', '.reproses-kasir', function() {
            // Mendapatkan kode registrasi dari baris yang diklik
            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            // Mendapatkan nama pasien dari baris yang diklik
            const nama_pasien = $(this).closest('tr').find('td:eq(1)').text();
            // Mendapatkan tanggal dari baris yang diklik
            const tanggal = $(this).closest('tr').find('td:eq(2)').text();
            // Mendapatkan nilai dari kd_jenis_pasien yang ada di input
            const kd_jenis_pasien = $('#kd_jenis_pasien').val();

            // Tampilkan konfirmasi
            if (confirm(`Apakah Anda yakin ingin reproses kasir untuk Kode Registrasi: ${kd_registrasi} Nama Pasien : ${nama_pasien} Tanggal Registrasi: ${tanggal}?
Reproses Kasir atau billing adalah reproses layanan billing , perlu kehatian - hatian yang extra, di karenakan tombol ini prasyaratnya lebih, dan refrence ke berbagai aplikasi. salah satunya resume, kalau klik tombol ini semua proses harus di lakukan ulang, di mulai dari memluangkan pasien rawat inap , simpan resume dan lain2.
                `)) {
                // Lakukan proses Reproses Kasir menggunakan AJAX
                $.ajax({
                    url: '<?= base_url("dashboard/reproses_kasir") ?>',
                    type: 'POST',
                    data: {
                        kd_registrasi: kd_registrasi,

                    },
                    success: function(response) {
                        console.log('Reproses Kasir berhasil: ', response);
                        alert('Reproses Kasir berhasil!');
                        // Lakukan tindakan lain jika diperlukan, seperti memperbarui tampilan
                    },
                    error: function(xhr, status, error) {
                        console.error("Error saat Reproses Kasir: ", error);
                        alert('Terjadi kesalahan saat Reproses Kasir.');
                    }
                });
            }
        });

        // Event delegation untuk tombol Batal Kasir
        $('#result').on('click', '.batal-kasir', function() {
            // Mendapatkan kode registrasi dari baris yang diklik
            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            // Mendapatkan nama pasien dari baris yang diklik
            const nama_pasien = $(this).closest('tr').find('td:eq(1)').text();
            // Mendapatkan tanggal dari baris yang diklik
            const tanggal = $(this).closest('tr').find('td:eq(2)').text();
            // Mendapatkan nilai dari kd_jenis_pasien yang ada di input
            const kd_jenis_pasien = $('#kd_jenis_pasien').val();

            // Tampilkan konfirmasi
            if (confirm(`Apakah Anda yakin ingin batal Kasir untuk Kode Registrasi:    ${kd_registrasi} Nama Pasien : ${nama_pasien} Tanggal Registrasi: ${tanggal}?  
Batal kasir berfungsi untuk membatalkan proses kasir, jadi Resume bisa di edit kembali, untuk merubah kondisi keluar dan waktu keluar pasien di Resume
                `)) {
                // Lakukan proses Batal Kasir menggunakan AJAX
                $.ajax({
                    url: '<?= base_url("dashboard/batal_kasir") ?>',
                    type: 'POST',
                    data: {
                        kd_registrasi: kd_registrasi,

                    },
                    success: function(response) {
                        console.log('Reproses Kasir berhasil: ', response);
                        alert('Reproses Kasir berhasil!');
                        // Lakukan tindakan lain jika diperlukan, seperti memperbarui tampilan
                    },
                    error: function(xhr, status, error) {
                        console.error("Error saat Reproses Kasir: ", error);
                        alert('Terjadi kesalahan saat Reproses Kasir.');
                    }
                });
            }
        });

        $('#result').on('click', '.tambah-dpjp', function() {
            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            const nip_petugas = '<?= $this->session->userdata("nip") ?>';
            console.log('NIP Petugas:', nip_petugas);
            Swal.fire({
                title: 'Pilih Dokter',
                html: `<select id="swal-dokter" class="form-control" style="width: 100%"></select>`,
                showCancelButton: true,
                confirmButtonText: 'Submit',
                didOpen: function() {
                    $('#swal-dokter').select2({
                        placeholder: 'Pilih Dokter',
                        minimumInputLength: 1, // Mulai pencarian setelah 1 karakter
                        ajax: {
                            url: '<?= base_url("dashboard/dpjp") ?>',
                            dataType: 'json',
                            delay: 250,
                            processResults: function(data, params) {
                                console.log('Data dari API:', data); // Debugging data API

                                // Cek apakah data dari API valid
                                if (data.status && Array.isArray(data.response.list)) {
                                    // Filter dokter berdasarkan input pengguna
                                    let filteredResults = data.response.list.filter(function(item) {
                                        // Pastikan nama dokter dan spesialis ada
                                        const nm_dokter = item.nm_dokter ? item.nm_dokter.toLowerCase() : '';
                                        const nm_spesialis = item.nm_spesialis ? item.nm_spesialis.toLowerCase() : '';
                                        const searchTerm = params.term.toLowerCase(); // Input pencarian yang dimasukkan pengguna

                                        // Filter berdasarkan nama dokter atau spesialis yang mengandung kata yang dicari
                                        return nm_dokter.includes(searchTerm) || nm_spesialis.includes(searchTerm);
                                    });

                                    // Hasilkan hasil yang difilter
                                    return {
                                        results: $.map(filteredResults, function(item) {
                                            return {
                                                id: item.nip_dokter, // ID dokter
                                                text: `${item.nm_dokter} - ${item.nm_spesialis}` // Nama dan spesialis dokter
                                            };
                                        })
                                    };
                                } else {
                                    return {
                                        results: []
                                    }; // Jika tidak ada hasil
                                }
                            },
                            cache: true
                        }
                    });
                },
                preConfirm: () => {
                    const nip_dokter = $('#swal-dokter').val();
                    if (!nip_dokter) {
                        Swal.showValidationMessage('Silakan pilih dokter terlebih dahulu!');
                    }
                    return nip_dokter;
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    const nip_dokter = result.value;

                    Swal.fire({
                        title: 'Konfirmasi',
                        text: `Apakah Anda yakin ingin Tambah DPJP untuk Kode Registrasi: ${kd_registrasi}?`,
                        icon: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'Ya, Tambahkan!',
                    }).then((confirmResult) => {
                        if (confirmResult.isConfirmed) {
                            $.ajax({
                                url: '<?= base_url("dashboard/tambah_dpjp") ?>',
                                type: 'POST',
                                data: {
                                    kd_registrasi: kd_registrasi,
                                    nip_petugas: nip_petugas,
                                    nip_dokter: nip_dokter
                                },
                                success: function(response) {
                                    Swal.fire('Berhasil', 'Tambah DPJP berhasil!', 'success');
                                },
                                error: function(xhr, status, error) {
                                    Swal.fire('Error', 'Terjadi kesalahan saat Tambah DPJP.', 'error');
                                }
                            });
                        }
                    });
                }
            });
        });

        // Event delegation untuk tombol Tambah SEP
        $('#result').on('click', '.tambah-sep', function() {
            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            const keterangan = prompt("Silakan masukkan No SEP 11 Digit dari belakang untuk Tambah SEP: (inputkan nomor di belakang 0142R033)");
            if (keterangan) {
                if (confirm(`Apakah Anda yakin ingin tambah SEP untuk Kode Registrasi: ${kd_registrasi} dengan No SEP: 0142R033${keterangan}?
Tambah SEP berfungsi untuk menanmbahkan nomor SEP yang Tidak adao SEP.
                    `)) {
                    $.ajax({
                        url: '<?= base_url("dashboard/tambah_sep") ?>',
                        type: 'POST',
                        data: {
                            kd_registrasi: kd_registrasi,
                            keterangan: keterangan
                        },
                        success: function(response) {
                            console.log('Pembatalan SEP berhasil: ', response);
                            alert('Pembatalan SEP berhasil!');
                        },
                        error: function(xhr, status, error) {
                            console.error("Error saat membatalkan SEP: ", error);
                            alert('Terjadi kesalahan saat membatalkan SEP.');
                        }
                    });
                }
            } else {
                alert("No SEP tidak boleh kosong.");
            }
        });

        // Event delegation untuk tombol Hapus KD JUAL radiologi dan Lab
        $('#result').on('click', '.hapus-kdjual', function() {

            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            const keterangan = prompt("Silakan masukkan Kode Jual:");
            if (keterangan) {
                if (confirm(`Apakah Anda yakin ingin menghapus untuk Kode Registrasi: ${kd_registrasi} dengan Kode jual: ${keterangan}?
Berfungsi untuk menghapus kode jual radiologi dan lab.
                    `)) {
                    $.ajax({
                        url: '<?= base_url("Dashboard/hapus_radlab") ?>',
                        type: 'POST',
                        data: {
                            keterangan: keterangan
                        },
                        success: function(response) {
                            console.log('Hapus Kode jual berhasil: ', response);
                            alert('Hapus Kode jual berhasil!');
                        },
                        error: function(xhr, status, error) {
                            console.error("Error saat Hapus Kode jual: ", error);
                            alert('Terjadi kesalahan saat Hapus Kode jual.');
                        }
                    });
                }
            } else {
                alert("Kode jual tidak boleh kosong.");
            }
        });
        // Mulai pencarian setelah 1 karakter
        $('#result').on('click', '.ubah-pembayaran', function() {
            const kd_registrasi = $(this).closest('tr').find('td:first').text();
            Swal.fire({
                title: 'Pilih Pembayaran',
                html: `<select id="swal-pembayar" class="form-control" style="width: 100%"></select>`,
                showCancelButton: true,
                confirmButtonText: 'Submit',
                didOpen: function() {
                    $('#swal-pembayar').select2({
                        ajax: {
                            url: '<?= base_url("Dashboard/pembayaran") ?>',
                            dataType: 'json',
                            delay: 250,
                            cache: false,
                            data: function(params) {
                                console.log('Searching for:', params.term); // Debugging
                                return {
                                    q: params.term // Kirim query pencarian
                                };
                            },
                            processResults: function(data) {
                                console.log('Received data:', data); // Debugging
                                if (data.status === true && Array.isArray(data.response)) {
                                    return {
                                        results: data.response.map(function(item) {
                                            return {
                                                id: item.kd_pembayaran,
                                                text: item.nm_pembayaran
                                            };
                                        })
                                    };
                                } else {
                                    return {
                                        results: [] // Jika tidak ada data, return empty array
                                    };
                                }
                            },
                            error: function(xhr, status, error) {
                                console.log('Error occurred:', status, error); // Debugging error
                            }
                        }
                    });
                },
                preConfirm: () => {
                    const nip_dokter = $('#swal-pembayar').val();
                    if (!kd_pembayaran) {
                        Swal.showValidationMessage('Silakan pilih dokter terlebih dahulu!');
                    }
                    return kd_pembayaran;
                }
            }).then((result) => {
                if (result.isConfirmed) {
                    const kd_pembayaran = result.value;

                    Swal.fire({
                        title: 'Konfirmasi',
                        text: `Apakah Anda yakin ingin Tambah DPJP untuk Kode Registrasi: ${kd_registrasi}?`,
                        icon: 'warning',
                        showCancelButton: true,
                        confirmButtonText: 'Ya, Tambahkan!',
                    }).then((confirmResult) => {
                        if (confirmResult.isConfirmed) {
                            $.ajax({
                                url: '<?= base_url("Dashboard/tambah_dpjp") ?>',
                                type: 'POST',
                                data: {
                                    kd_registrasi: kd_registrasi,
                                    kd_pembayaran: kd_pembayaran
                                },
                                success: function(response) {
                                    Swal.fire('Berhasil', 'Tambah DPJP berhasil!', 'success');
                                },
                                error: function(xhr, status, error) {
                                    Swal.fire('Error', 'Terjadi kesalahan saat Tambah DPJP.', 'error');
                                }
                            });
                        }
                    });
                }
            });
        });

    });
</script>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        // Referensi elemen h1 dan dropdown
        const judulPasien = document.getElementById('judulPasien');
        const dropdownPasien = document.getElementById('kd_jenis_pasien');

        // Event listener untuk perubahan dropdown
        dropdownPasien.addEventListener('change', function() {
            let jenisPasien = dropdownPasien.options[dropdownPasien.selectedIndex].text;
            if (jenisPasien === '-') {
                judulPasien.textContent = 'Daftar Pasien'; // Default
            } else {
                judulPasien.textContent = 'Daftar Pasien - ' + jenisPasien; // Update sesuai jenis pasien
            }
        });
    });
</script>
<script>
    $(document).ready(function() {
        // Event ketika tombol "Batal Kasir" diklik
        $('.batal-kasir').on('click', function(e) {
            e.preventDefault();
            alert('Batal Kasir telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });

        // Event ketika tombol "Batal Serah" diklik
        $('.batal-serah').on('click', function(e) {
            e.preventDefault();
            alert('Batal Serah telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });

        // Event ketika tombol "Batal Resume" diklik
        $('.batal-resume').on('click', function(e) {
            e.preventDefault();
            alert('Batal Resume telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });

        // Event ketika tombol "Batal SEP" diklik
        $('.batal-sep').on('click', function(e) {
            e.preventDefault();
            alert('Batal SEP telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });

        // Event ketika tombol "Reproses Kasir" diklik
        $('.reproses-kasir').on('click', function(e) {
            e.preventDefault();
            alert('Reproses Kasir telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });
        // Event ketika tombol "Reproses Kasir" diklik
        $('.tambah-dpjp').on('click', function(e) {
            e.preventDefault();
            alert('Tambah DPJP telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });
        // Event ketika tombol "Reproses Kasir" diklik
        $('.tambah-sep').on('click', function(e) {
            e.preventDefault();
            alert('Tambah SEP telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });
        // Event ketika tombol "Reproses Kasir" diklik
        $('.hapus-kdjual').on('click', function(e) {
            e.preventDefault();
            alert('Hapus Kode Jual telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });
        $('.ubah-pembayaran').on('click', function(e) {
            e.preventDefault();
            alert('Ubah Pembayaran telah diklik');
            // Tambahkan fungsi lain sesuai kebutuhan
        });

    });
</script>
</body>

</html>